channels:
  - conda-forge
dependencies:
  - 'python > 3.6'
  - automake
  - bc
  - c-compiler
  - cxx-compiler
  - doxygen
  - dqsegdb2
  - fftw
  - fortran-compiler
  - 'gcc_impl_linux-64 <= 10.4.0'
  - 'gds-lsmp >= 2.19.6'
  - 'gds-framexmit >= 2.19.4'
  - gobject-introspection
  - graphviz
  - gsl
  - gstreamer
  - gstreamer-orc
  - gst-python
  - gst-plugins-base
  - gst-plugins-good
  - gwdatafind
  - h5py
  - 'jinja2 < 3.0'
  - 'lal >= 7.2.4'
  - 'lalburst >= 1.7.0'
  - 'lalinspiral >= 3.0.2'
  - 'lalmetaio >= 3.0.2'
  - 'lalsimulation >= 4.0.2'
  - ldas-tools-framecpp
  - libframe
  - 'libtool <= 2.4.6'
  - ligo-gracedb
  - 'ligo-scald >= 0.8'
  - ligo-segments
  - make
  - 'matplotlib-base < 3.0'
  - myst-parser
  - nds2-client
  - numpy
  - pandas
  - pkg-config
  - pluggy
  - pydot
  - 'pyfftw != 0.13.0'  # see https://github.com/pyFFTW/pyFFTW/issues/294
  - pygobject
  - pytest
  - python-avahi
  - python-confluent-kafka
  - python-htcondor
  - 'python-ligo-lw >= 1.8.3'
  - scipy
  - 'sphinx < 4.0'
  - sphinx_rtd_theme
